Cyberduck Mountain Duck CLI

#6135 closed defect (fixed)

Cannot sync large folders to cloudfiles (Windows)

Reported by: iwes Owned by: dkocher
Priority: high Milestone: 4.1.2
Component: cloudfiles Version: 4.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

When trying to sync a large folder to cloud files, the task fails with an exception. The folder contains ~20000 items (700 MB or so). It worked fine the previous day, so perhaps something changed in the API response.

Also tried latest build 4.1.1 for Windows; tried syncing on Win2k3x86, Win7x64, Win2k8x64

Exception:

2011-08-03 22:37:13,840 [background-9] ERROR ch.cyberduck.ui.AbstractController - Exception running background task:Unable to cast object of type 'Ch.Cyberduck.Ui.Controller.LocalImpl' to type 'ch.cyberduck.core.Path'.
java.lang.ClassCastException: Unable to cast object of type 'Ch.Cyberduck.Ui.Controller.LocalImpl' to type 'ch.cyberduck.core.Path'.
	at cli.Ch.Cyberduck.Ui.Controller.TreePathReference.equals(Unknown Source)
	at java.lang.Object.equals(map.xml)
	at java.util.concurrent.ConcurrentHashMap$Segment.put(ConcurrentHashMap.java:454)
	at java.util.concurrent.ConcurrentHashMap.put(ConcurrentHashMap.java:910)
	at ch.cyberduck.core.AttributedList.add(AttributedList.java:219)
	at ch.cyberduck.core.Local.list(Local.java:348)
	at ch.cyberduck.core.AbstractPath.children(AbstractPath.java:160)
	at ch.cyberduck.core.AbstractPath.children(AbstractPath.java:146)
	at ch.cyberduck.core.UploadTransfer.children(UploadTransfer.java:262)
	at ch.cyberduck.core.SyncTransfer.children(SyncTransfer.java:231)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:606)
	at ch.cyberduck.core.Transfer.prepare(Transfer.java:607)
	at ch.cyberduck.core.Transfer.transfer(Transfer.java:560)
	at ch.cyberduck.core.Transfer.start(Transfer.java:674)
	at cli.Ch.Cyberduck.Ui.Controller.TransferController$TransferBackgroundAction.run(Unknown Source)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:94)
	at ch.cyberduck.ui.AbstractController$1.call(AbstractController.java:88)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at java.lang.Thread.run(Thread.java:883)
	at cli.System.Threading.ThreadHelper.ThreadStart_Context(Unknown Source)
	at cli.System.Threading.ExecutionContext.runTryCode(Unknown Source)
	at cli.System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(Unknown Source)

Change History (3)

comment:1 Changed on Aug 7, 2011 at 4:29:22 PM by dkocher

  • Milestone set to 4.1.1
  • Priority changed from normal to high
  • Status changed from new to assigned

comment:2 Changed on Aug 18, 2011 at 12:16:38 PM by dkocher

#6156 closed as duplicate.

comment:3 Changed on Aug 29, 2011 at 8:40:12 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r8994.

Note: See TracTickets for help on using tickets.